Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Static Public Attributes | Friends | List of all members
TextureManager Class Reference

`#include <TextureManager.h>`

## Public Types
enum | TextureEventCode { BeginZombification, BeginResurrection, EndResurrection }
| Texture manager event codes. More...
enum | ManagerState { NotInitialized = 0, Alive, Dead, Resurrecting }
| Textrue manager state. More...
typedef void(* | TextureEventCallback) (const TextureEventCode eventCode, void *userData)

## Static Public Member Functions
static void | create ()
static void | destroy ()
static ManagerState | getManagerState (void)
static void | killManager ()
static void | resurrectManager ()
static void | flush ()
static void | refresh (const char *textureName)
static S32 | getBitmapResidentSize (void)
static S32 | getTextureResidentSize (void)
static S32 | getTextureResidentWasteSize (void)
static S32 | getTextureResidentCount (void)
static U32 | registerEventCallback (TextureEventCallback, void *userData)
static void | unregisterEventCallback (const U32 callbackKey)
static StringTableEntry | getUniqueTextureKey (void)
static void | dumpMetrics (void)

## Static Public Attributes
static bool | mDGLRender = true
static GLenum | mTextureCompressionHint = GL_FASTEST

## Friends
class | TextureHandle
class | TextureDictionary

## Member Typedef Documentation

typedef void(* TextureEventCallback) (const TextureEventCode eventCode, void *userData)

## Member Enumeration Documentation

enum ManagerState

Textrue manager state.

Enumerator
NotInitialized |
Alive |
Dead |
Resurrecting |

enum TextureEventCode

Texture manager event codes.

Enumerator
BeginZombification |
BeginResurrection |
EndResurrection |

## Member Function Documentation

void create | ( | void |  | ) |
| static

void destroy | ( | void |  | ) |
| static

void dumpMetrics | ( | void |  | ) |
| static

void flush | ( |  | ) |
| static

static S32 getBitmapResidentSize | ( | void |  | ) |
| inline static

static ManagerState getManagerState | ( | void |  | ) |
| inline static

static S32 getTextureResidentCount | ( | void |  | ) |
| inline static

static S32 getTextureResidentSize | ( | void |  | ) |
| inline static

static S32 getTextureResidentWasteSize | ( | void |  | ) |
| inline static

StringTableEntry getUniqueTextureKey | ( | void |  | ) |
| static

void killManager | ( |  | ) |
| static

void refresh | ( | const char * | textureName | ) |
| static

U32 registerEventCallback | ( | TextureEventCallback | callback,
|  | void * | userData
| ) |  |
| static

void resurrectManager | ( | void |  | ) |
| static

void unregisterEventCallback | ( | const U32 | callbackKey | ) |
| static

## Friends And Related Function Documentation

friend class TextureDictionary
| friend

friend class TextureHandle
| friend

## Member Data Documentation

bool mDGLRender = true
| static

GLenum mTextureCompressionHint = GL_FASTEST
| static

The documentation for this class was generated from the following files:

- graphics/TextureManager.h
- graphics/TextureManager.cc